# rpmProblem_s Struct Reference

`#include <rpmlib.h>`

## Data Fields

const char * | pkgNEVR
const char * | altNEVR
const void * | key
Header | h
rpmProblemType | type
int | ignoreProblem
const char * | str1
unsigned long | ulong1

## Detailed Description

Definition at line 972 of file rpmlib.h.

## Field Documentation

const char* rpmProblem_s::altNEVR

Definition at line 974 of file rpmlib.h.

Referenced by psAppend(), and rpmProblemString().

Header rpmProblem_s::h

Definition at line 976 of file rpmlib.h.

Referenced by psAppend(), psTrim(), and rpmProblemSetFree().

int rpmProblem_s::ignoreProblem

Definition at line 978 of file rpmlib.h.

Referenced by psAppend(), and psTrim().

const void* rpmProblem_s::key

Definition at line 975 of file rpmlib.h.

Referenced by psAppend(), and psTrim().

const char* rpmProblem_s::pkgNEVR

Definition at line 973 of file rpmlib.h.

Referenced by psAppend(), and rpmProblemString().

const char* rpmProblem_s::str1

Definition at line 979 of file rpmlib.h.

Referenced by psAppend(), psTrim(), and rpmProblemString().

rpmProblemType rpmProblem_s::type

Definition at line 977 of file rpmlib.h.

Referenced by psAppend(), psTrim(), and rpmProblemString().

unsigned long rpmProblem_s::ulong1

Definition at line 980 of file rpmlib.h.

Referenced by psAppend(), and rpmProblemString().

The documentation for this struct was generated from the following file:

- lib/rpmlib.h